List of serial CVODES examples

(1) Simulation

  cvsAdvDiff_bnd        : banded example
  cvsAdvDiff_bndL       : banded example (Lapack)
  cvsDirectDemo_ls      : demonstration program for direct methods
  cvsDiurnal_kry_bp     : Krylov example with banded preconditioner
  cvsDiurnal_kry        : Krylov example
  cvsKrylovDemo_ls      : demonstration program with 3 Krylov solvers
  cvsKrylovDemo_prec    : demonstration program for Krylov methods
  cvsRoberts_dns        : chemical kinetics example - BDF Newton/dense
  cvsRoberts_dns        : dense example with constraint checking
  cvsRoberts_dnsL       : dense example (Lapack)
  cvsRoberts_dns_uw     : dense example with user ewt function
  cvsRoberts_klu        : dense example with KLU sparse linear solver
  cvsRoberts_sps        : dense example with SuperLUMT sparse linear solver

(2) Forward sensitivity

  cvsAdvDiff_FSA_non             : 1-D advection difusion PDE -
                                   Adams with Functional iteration
  cvsDiurnal_FSA_kry             : 2-D 2-species diurnal advection-diffusion PDE -
                                   BDF with Newton GMRES
  cvsRoberts_FSA_dns             : chemical kinetics ODEs - BDF with Newton Dense
  cvsRoberts_FSA_dns_constraints : kinetics ODEs - FSA with dense linear solver and constraint checking
  cvsRoberts_FSA_klu             : kinetics ODEs - FSA with KLU sparse linear solver
  cvsRoberts_FSA_sps             : kinetics ODEs - FSA with SuperLUMT sparse solver

(3) Adjoint sensitivity

  cvsAdvDiff_ASAi_bnd             : advection-diffusion - adjoint sensitivity
  cvsFoodWeb_ASAi_kry             : food web - adjoint sensitivity for G
  cvsFoodWeb_ASAp_kry             : food web - adjoint sensitivity for g
  cvsHessian_ASA_FSA              : ASA example for computing Hessian
  cvsRoberts_ASAi_dns             : chemical kinetics - adjoint sensitivity
  cvsRoberts_ASAi_dns_constraints : kinetics - ASA with dense linear solver and constraint checking
  cvsRoberts_ASAi_klu             : kinetics - ASA with KLU sparse linear solver
  cvsRoberts_ASAi_sps             : kinetics - ASA with SuperLUMT sparse linear solver


The following CMake command was used to configure SUNDIALS:

 cmake \
-DCMAKE_BUILD_TYPE=DEBUG \
-DBUILD_ARKODE=ON \
-DBUILD_CVODE=ON \
-DBUILD_CVODES=ON \
-DBUILD_IDA=ON \
-DBUILD_IDAS=ON \
-DBUILD_KINSOL=ON \
-DCMAKE_INSTALL_PREFIX=/home/user1/sundials/build/install \
-DEXAMPLES_INSTALL_PATH=/home/user1/sundials/build/install/examples \
-DBUILD_SHARED_LIBS=OFF \
-DBUILD_STATIC_LIBS=ON \
-DEXAMPLES_ENABLE_C=ON \
-DEXAMPLES_ENABLE_CXX=ON \
-DEXAMPLES_INSTALL=ON \
-DENABLE_MPI=ON \
-DENABLE_LAPACK=ON \
-DENABLE_KLU=ON \
-DKLU_INCLUDE_DIR=/usr/casc/sundials/apps/rh6/suitesparse/4.5.3/include \
-DKLU_LIBRARY_DIR=/usr/casc/sundials/apps/rh6/suitesparse/4.5.3/lib \
-DENABLE_HYPRE=ON \
-DHYPRE_INCLUDE_DIR=/usr/casc/sundials/apps/rh6/hypre/2.11.1/include \
-DHYPRE_LIBRARY=/usr/casc/sundials/apps/rh6/hypre/2.11.1/lib/libHYPRE.a \
-DENABLE_OPENMP=ON \
-DENABLE_PTHREAD=ON \
-DENABLE_SUPERLUMT=ON \
-DSUPERLUMT_INCLUDE_DIR=/usr/casc/sundials/apps/rh6/superlu_mt/SuperLU_MT_3.1/SRC \
-DSUPERLUMT_LIBRARY_DIR=/usr/casc/sundials/apps/rh6/superlu_mt/SuperLU_MT_3.1/lib \
-DSUPERLUMT_THREAD_TYPE=Pthread \
-DENABLE_PETSC=ON \
-DPETSC_INCLUDE_DIR=/usr/casc/sundials/apps/rh6/petsc/3.7.2/include \
-DPETSC_LIBRARY_DIR=/usr/casc/sundials/apps/rh6/petsc/3.7.2/lib \
../sundials

  System Architecture: x86_64
  Processor Type: Intel(R) Xeon(R) CPU E31230 @ 3.20GHz
  Operating System: Red Hat 6.8
  C/Fortran Compilers: gcc/gfortran v4.4.7
  MPI: Open MPI v1.8.8
